Kerbal Space Program - Bug #777

Cannot select as target any planet with intercept prediction by maneuver planner
06/13/2013 06:48 AM - boolybooly

Status: Closed Start date: 06/13/2013
Severity: Normal % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 0.20.2 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

Cannot select as target any planet with intercept prediction by maneuver planner.

To replicate set up a ship ready to leave Kerbin orbit to intercept with another planet eg Duna or Jool. Attempt to select the target
planet as the target, it will work just fine, deselect the target. Place maneuver node and plan intercept until the map shows an
intercxept with the SOI. Then attempt to select the planet as a target, it will not show any options in map view whether you right click
or left click on it. Change the maneuver so that the intercept does not occur and you can select the planet as a target again.

QED intercept prediction from maneuver planner prevents selecting as target.

History

#1 - 06/25/2013 10:18 AM - sI33k

this also happens when your ship is already intercepting with the Planet.

To Replicate just do an Interplanetary Transfer, quit KSP, select your ship via Tracking Station and try to select the planet you are intercepting with as
a target.

#2 - 10/26/2013 05:32 AM - boolybooly
Still applies v0.22

#3 - 07/27/2015 06:04 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#4 - 11/21/2015 08:45 PM - Thrawcheld
- File BLAHBUG simple.zip added
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Confirmed in 1.0.5.1028.

Workaround: add a maneuver node that results in a trajectory that doesn't encounter the body you want to target. You can then target it (and delete
the node afterwards). This still doesn't let you target the body whose Sol you're currently in.

Bugged save attached.
#5 - 07/17/2016 09:40 AM - TriggerAu

- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#6 - 08/07/2016 11:40 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100
Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention

Files
BLAHBUG simple.zip 4.3 MB 11/21/2015 Thrawcheld
